# CollisionResponseParams

## Overview

CollisionResponseParams는 충돌 채널별 응답 방식을 정의하는 설정 객체입니다.

## Constructors

### new

새로운 CollisionResponseParams 인스턴스를 생성합니다.

#### Parameters

#### Return

| `CollisionResponseParams` | 생성된 CollisionResponseParams입니다. |
| ------------------------- | ------------------------------- |

#### Code Samples

## Properties

### ResponseArray

`Array`

충돌 채널별 응답 설정 목록입니다.

#### Code Samples

## Methods

### AddResponseToArray

특정 충돌 채널에 대한 응답 방식을 추가합니다.

#### Parameters

| `Enum.CollisionChannel` Channel   | 응답을 설정할 충돌 채널입니다.       |
| --------------------------------- | ----------------------- |
| `Enum.CollisionResponse` Response | 해당 채널에 적용할 충돌 응답 방식입니다. |

#### Return

| `CollisionResponseParams` | 갱신된 CollisionResponseParams 객체입니다. |
| ------------------------- | ---------------------------------- |

#### Code Samples

### RemoveAllResponses

모든 충돌 응답 설정을 초기화합니다.

#### Parameters

#### Return

| `CollisionResponseParams` | 초기화된 CollisionResponseParams 객체입니다. |
| ------------------------- | ----------------------------------- |

#### Code Samples

### RemoveReponseFromArray

특정 충돌 채널에 대한 응답 설정을 제거합니다.

#### Parameters

| `Enum.CollisionChannel` InChannel | 응답 설정을 제거할 충돌 채널입니다. |
| --------------------------------- | -------------------- |

#### Return

| `CollisionResponseParams` | 갱신된 CollisionResponseParams 객체입니다. |
| ------------------------- | ---------------------------------- |

#### Code Samples

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/datatype/collisionresponseparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
